# {{ ansible_managed }}

checkNewVersion = false
sendAnonymousUsage = false
logLevel = "{{ traefik_log_level }}"
defaultEntryPoints = ["http", "https"]

[entryPoints]
  [entryPoints.http]
    address = ":80"
    [entryPoints.http.redirect]
     entryPoint = "https"
     permanent = true
    [entryPoints.https]
      address = ":443"
      [entryPoints.https.tls]
        minVersion = "VersionTLS12"
        cipherSuites = [
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384",
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384",
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256",
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",
          "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305",
          "TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305",
        ]

{% if traefik_acme_enabled %}
[acme]
  email = "{{ traefik_acme_email_address }}"
  storage = "{{ traefik_config_directory }}/acme.json"
  entryPoint = "https"
  onHostRule = true
  acmeLogging = true
  [acme.tlsChallenge]
{% endif %}

[file]
  directory = "{{ traefik_config_directory }}/rules.d"
  watch = true
